Ultimate magazine theme for WordPress.

Dnsmasq 신규 취약점 보안 업데이트 권고

Dnsmasq 소프트웨어에서 발생하는 취약점을 해결한 보안 업데이트를 발표

198

□ 개요
o Dnsmasq 소프트웨어에서 발생하는 취약점을 해결한 보안 업데이트를 발표
o 영향 받는 버전의 사용자는 랜섬웨어 감염, 서버 침해 등의 피해가 발생할 수 있으므로 해결방안에 따라 최신 버전으로

업데이트 권고

□ 설명
o 로컬 네트워크에서 익스플로잇될 수 있는 DNS Subsystem 원격 코드 실행 취약점 (CVE-2017-14491) [1]
o IPv6 라우터의 알림 요청에서 원격 코드 실행을 가능하게 하는 힙 오버플로우 취약점(CVE-2017-14492) [2]
o CVE-2017-14494 취약점과 함께 사용되었을 때 원격 코드 실행이 가능한 스택 오버플로우 취약점(CVE-2017-14493) [3]
o Relay로 구성되었을 때 DHCPv6 요청을 처리하는 과정에서 발생하는 메모리 정보 노출 취약점(CVE-2017-14494) [4]
o –add-mac, add-cpe-id 또는 —add-subnet 옵션이 설정된 dnsmasq에서 발생하는 서비스 거부 공격이 가능한

메모리 정보 노출 취약점(CVE-2017-14495) [5]
o –add-mac, add-cpe-id 또는 —add-subnet 옵션이 설정된 dnsmasq의 add_pseudoheader 함수에서 발생하는

서비스 거부 공격이 가능한 정수 오버플로우 취약점(CVE-2017-14496) [6]
o DNS의 패킷 크기가 설정된 크기보다 클 때 프로그램 실행이 종료되는 취약점(CVE-2017-13704) [7]

□ 영향을 받는 버전
o Dnsmasq 2.78 이전 버전

□ 해결 방안
o Dnsmasq 2.78 버전으로 업데이트 적용 [8]

□ 기타 문의사항
o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

[참고사이트]
[1] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=62cb936cb7ad5f219715515ae7d32dd281a5aa1f
[2] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=24036ea507862c7b7898b68289c8130f85599c10
[3] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=3d4ff1ba8419546490b464418223132529514033
[4] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=33e3f1029c9ec6c63e430ff51063a6301d4b2262
[5] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=51eadb692a5123b9838e5a68ecace3ac579a3a45
[6] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=897c113fda0886a28a986cc6ba17bb93bd6cb1c7
[7] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=63437ffbb58837b214b4b92cb1c54bc5f3279928
[8] http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=summary

답장을 남겨주세요.

귀하의 이메일 주소는 공개되지 않습니다.